#ifndef _FS_OFDRENDERER_C_H_
#define _FS_OFDRENDERER_C_H_

#ifdef __cplusplus
extern "C" {
#endif

#include "fs_basictypes_c.h"
#include "fs_common_c.h"
#include "fs_ofdpage_c.h"


typedef enum _FSColorMode {
e_FSColorModeColorModeNormal = 0,
e_FSColorModeMappingGray = 1,
e_FSColorModeMapping = 2,
}FSColorMode;



typedef enum _FSContentFlag {
e_FSContentFlagAllContent = 0x00,
e_FSContentFlagPage = 0x01,
e_FSContentFlagAnnot = 0x02,
e_FSContentFlagHighLightAnnots = 0x04,
e_FSContentFlagStampAnnots = 0x08,
}FSContentFlag;


FSErrorCode FSDK_OFDRenderer_Create(FS_OFDRENDERER_HANDLE* ofdrenderer_return_value);
FSErrorCode FSDK_OFDRenderer_Create0(const FS_BITMAP_HANDLE  bitmap, FS_OFDRENDERER_HANDLE* ofdrenderer_return_value);
FSErrorCode FSDK_OFDRenderer_Release(FS_OFDRENDERER_HANDLE ofdrenderer_handle);
FSErrorCode FSDK_OFDRenderer_IsEmpty(FS_OFDRENDERER_HANDLE ofdrenderer_handle, FS_BOOL* return_value);
FSErrorCode FSDK_OFDRenderer_SetColorMode(FS_OFDRENDERER_HANDLE ofdrenderer_handle, FSColorMode color_mode);
FSErrorCode FSDK_OFDRenderer_SetContentFlag(FS_OFDRENDERER_HANDLE ofdrenderer_handle, FS_UINT32 content_flag);
FSErrorCode FSDK_OFDRenderer_StartRender(FS_OFDRENDERER_HANDLE ofdrenderer_handle, const FS_OFDPAGE_HANDLE page, const FSMatrix matrix, FS_PROGRESSIVE_HANDLE* return_value);
#ifdef __cplusplus
}
#endif
#endif
